Convert Files into Markdown
POST/accounts/{account_id}/ai/tomarkdown
Converts uploaded files into Markdown format using Workers AI.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Convert Files into Markdown
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/ai/tomarkdown \
-H 'Content-Type: multipart/form-data' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-F file='{"files":["Example data"]}'{
"result": [
{
"data": "data",
"format": "format",
"mimeType": "mimeType",
"name": "name",
"tokens": "tokens"
}
],
"success": true
}Returns Examples
{
"result": [
{
"data": "data",
"format": "format",
"mimeType": "mimeType",
"name": "name",
"tokens": "tokens"
}
],
"success": true
}